function heapwalk()
{   
  var h = Debug.evaluate("__heap_start__");
  while (h)
   {
     WScript.Echo(h.toString(16)+" "+Debug.evaluate("*(unsigned*)0x"+(h+4).toString(16)).toString()+"\n");
     h = Debug.evaluate("*(unsigned*)0x"+h.toString(16))
   }
} 